summaryrefslogtreecommitdiff
path: root/test/scripts/light-system-test-run-2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/scripts/light-system-test-run-2.sh')
-rwxr-xr-xtest/scripts/light-system-test-run-2.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/test/scripts/light-system-test-run-2.sh b/test/scripts/light-system-test-run-2.sh
index a59f9a8..1a30c4c 100755
--- a/test/scripts/light-system-test-run-2.sh
+++ b/test/scripts/light-system-test-run-2.sh
@@ -3,12 +3,10 @@
set -o nounset
set -o errexit
-SOFTHSM=/usr/local/bin/softhsm2-util
-INSTDIR=../catlfish
-PREFIX=..
+top_srcdir=$(cd $(dirname $0)/../..; pwd)
-. ./test.shvars
+. ${top_srcdir}/test/test.shvars
-(cd ${INSTDIR} && python ../tools/verifysct.py --sct-file=tests/submittedcerts --parallel 1 ${BASEURL} --publickey=tests/keys/logkey.pem --cafile tests/httpsca/demoCA/cacert.pem) || (echo "Verification of SCT:s failed" ; false)
-(cd ${INSTDIR}/tests && ../../tools/check-sth.py ${BASEURL} --publickey=keys/logkey.pem --cur-sth=stored-sth --cafile httpsca/demoCA/cacert.pem)
-(cd ${INSTDIR}/tests && python ../../tools/storagegc.py --config ../../test/catlfish-test.cfg --localconfig ../../test/catlfish-test-local-1.cfg) || (echo "GC failed" ; false)
+python ${top_srcdir}/tools/verifysct.py --sct-file=submittedcerts --parallel 1 ${BASEURL} --publickey=keys/logkey.pem --cafile httpsca/demoCA/cacert.pem || (echo "Verification of SCT:s failed" ; false)
+../../tools/check-sth.py ${BASEURL} --publickey=keys/logkey.pem --cur-sth=stored-sth --cafile httpsca/demoCA/cacert.pem
+python ${top_srcdir}/tools/storagegc.py --config ${top_srcdir}/test/catlfish-test.cfg --localconfig ${top_srcdir}/test/catlfish-test-local-1.cfg || (echo "GC failed" ; false)